﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Persistence.Services;
using Telerik.Windows.Controls;
using Telerik.Windows.Persistence;
using Telerik.Windows.Persistence.Storage;

namespace GridViewSerialization
{
	public partial class MainPage : UserControl
	{
		System.IO.Stream stream;
		public MainPage()
		{
			InitializeComponent();
			// register the custom property provider for the RadGridView:
			ServiceProvider.RegisterPersistenceProvider<ICustomPropertyProvider>(typeof(RadGridView), new GridViewCustomPropertyProvider());
			this.DataContext = ExamplesDB.GetCustomers();
		
			Application.Current.Exit += (_, __) =>
			{
				// save settings if any registered
				IsolatedStorageProvider provider = new IsolatedStorageProvider();
				provider.SaveToStorage();
			};
		}

		private void gridView_Loaded(object sender, RoutedEventArgs e)
		{
			this.Dispatcher.BeginInvoke(new Action(() =>
			{
				IsolatedStorageProvider provider = new IsolatedStorageProvider();
				provider.LoadFromStorage();
			}));
		}
	}
}
